Subject: 26.1; request: savehist should also save log-edit-comment-ring by default

From: ndame <[email-masked]>
Date: Wed, 24 Jul 2019 10:59:05 +0200 (CEST)

When committing things with vc I often reuse previous commit messages, usually
by editing them a bit. So it's very annoying when I restart emacs and lose the commit
message history.

I now added log-edit-comment-ring to savehist-additional-variables, but it should be 
the default, because minibuffer histories are saved by default, so I'd expect vc commit
messages are also saved, though it does not use the minibuffer, but it is frequently used
input field.

I recommend adding 

  (add-to-list 'savehist-additional-variables 'log-edit-comment-ring)

to log-edit.el, so if savehist is enabled then it is saved as well.